/*
 * File:     Backup5CA.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.commands;

import mpi.eudico.client.annotator.Constants;
import mpi.eudico.client.annotator.ViewerManager2;


/**
 * A CommandAction to set the backup delay to 5 minutes.
 *
 * @author Han Sloetjes
 */
public class Backup5CA extends CommandAction {
    /**
 * Creates a new Backup5CA instance
 *
 * @param viewerManager the viewermanager
 */
    public Backup5CA(ViewerManager2 viewerManager) {
        super(viewerManager, ELANCommandFactory.BACKUP_5);
        putValue(DEFAULT, "BACKUP_5");
        updateLocale(); //because of mnemonic
    }

    /**
 * Creates a new command.
 */
    protected void newCommand() {
        command = ELANCommandFactory.createCommand(vm.getTranscription(),
                ELANCommandFactory.BACKUP);
    }

    /**
 * The receiver is BackupCA.
 *
 * @return the receiver of the command
 */
    protected Object getReceiver() {
        return ELANCommandFactory.getCommandAction(vm.getTranscription(),
            ELANCommandFactory.BACKUP);
    }

    /**
 * The arguments.
 *
 * @return the arguments
 */
    protected Object[] getArguments() {
        return new Object[] { Constants.BACKUP_5 };
    }
}
