/*
 * File:     SaveAsTemplateCA.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.commands;

import mpi.eudico.client.annotator.ElanLocale;
import mpi.eudico.client.annotator.ViewerManager2;

import mpi.eudico.server.corpora.clomimpl.dobes.ACM22TranscriptionStore;


/**
 * DOCUMENT ME! $Id: SaveAsTemplateCA.java,v 1.2 2004/07/01 12:13:58 hasloe Exp
 * $
 *
 * @author $Author: hasloe $
 * @version $Revision: 1.1 $
 */
public class SaveAsTemplateCA extends CommandAction {
    private ACM22TranscriptionStore transcriptionStore;

    /**
     * Creates a new SaveAsTemplateCA instance
     *
     * @param viewerManager DOCUMENT ME!
     */
    public SaveAsTemplateCA(ViewerManager2 viewerManager) {
        super(viewerManager, ELANCommandFactory.SAVE_AS_TEMPLATE);
        putValue(SHORT_DESCRIPTION,
            ElanLocale.getString(ELANCommandFactory.SAVE_AS_TEMPLATE +
                "ToolTip"));
        putValue(DEFAULT, "SAVE_AS_TEMPLATE");
        updateLocale(); //because of mnemonic

        transcriptionStore = new ACM22TranscriptionStore();
    }

    /**
     * DOCUMENT ME!
     */
    protected void newCommand() {
        command = ELANCommandFactory.createCommand(vm.getTranscription(),
                ELANCommandFactory.STORE);
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    protected Object getReceiver() {
        return vm.getTranscription();
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    protected Object[] getArguments() {
        return new Object[] {
            transcriptionStore, new Boolean(true), new Boolean(true),
            vm.getMultiTierControlPanel().getVisibleTiers()
        };
    }
}
