/*
 * File:     SearchDialogCA.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.commands;

import mpi.eudico.client.annotator.ElanLocale;
import mpi.eudico.client.annotator.ViewerManager2;

import java.awt.Toolkit;
import java.awt.event.KeyEvent;

import javax.swing.Action;
import javax.swing.KeyStroke;


/**
 * A command action for creating a search dialog.
 *
 * @author Han Sloetjes
 */
public class SearchDialogCA extends CommandAction {
    /**
     * Creates a new SearchDialogCA instance
     *
     * @param viewerManager DOCUMENT ME!
     */
    public SearchDialogCA(ViewerManager2 viewerManager) {
        super(viewerManager, ELANCommandFactory.SEARCH_DLG);
        putValue(Action.ACCELERATOR_KEY,
            KeyStroke.getKeyStroke(KeyEvent.VK_F,
                Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
        putValue(SHORT_DESCRIPTION,
            ElanLocale.getString(ELANCommandFactory.SEARCH_DLG + "ToolTip"));
        putValue(DEFAULT, "SEARCH_DLG");
        updateLocale(); //because of mnemonic
    }

    /**
     * DOCUMENT ME!
     */
    protected void newCommand() {
        command = ELANCommandFactory.createCommand(vm.getTranscription(),
                ELANCommandFactory.SEARCH_DLG);
    }

    /**
     * There is no clear receiver for a search action. All necessary objects
     * are passed as arguments to the Search Dialog.
     *
     * @return DOCUMENT ME!
     */
    protected Object getReceiver() {
        return null;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    protected Object[] getArguments() {
        Object[] args = new Object[1];
        args[0] = vm;

        return args;
    }

    /*
       protected Object[] getArguments() {
           Object[] args = new Object[6];
           args[0] = rootFrame;
           args[1] = vm.getTranscription();
           args[2] = vm.getSelection();
           args[3] = vm.getActiveAnnotation();
           args[4] = vm.getMasterMediaPlayer();
           args[5] = null; //identity
           return args;
       }
     */
}
