/*
 * File:     SelectionModeCommand.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.commands;

import mpi.eudico.client.annotator.ElanMediaPlayerController;
import mpi.eudico.client.annotator.ModePanel;

import mpi.eudico.client.annotator.player.ElanMediaPlayer;


/**
 *
 */
public class SelectionModeCommand implements Command {
    private String commandName;
    private ElanMediaPlayerController mediaPlayerController;
    private ElanMediaPlayer masterMediaPlayer;

    /**
     * Creates a new SelectionModeCommand instance
     *
     * @param name DOCUMENT ME!
     */
    public SelectionModeCommand(String name) {
        commandName = name;
    }

    /**
     *
     */
    public void execute(Object receiver, Object[] arguments) {
        mediaPlayerController = (ElanMediaPlayerController) arguments[0];
        masterMediaPlayer = (ElanMediaPlayer) arguments[1];

        if (!masterMediaPlayer.isPlaying()) {
            updateSelectionMode(!mediaPlayerController.getSelectionMode());
            mediaPlayerController.doToggleSelectionMode();

            if ((mediaPlayerController.getSelectionMode() == true) &&
                    (mediaPlayerController.getSelectionBeginTime() == mediaPlayerController.getSelectionEndTime())) {
                mediaPlayerController.setSelection(mediaPlayerController.getMediaTime(),
                    mediaPlayerController.getMediaTime());
            }
        } else {
            updateSelectionMode(mediaPlayerController.getSelectionMode()); // reset checkbox
        }
    }

    private void updateSelectionMode(boolean onOff) {
        ((ModePanel) mediaPlayerController.getModePanel()).updateSelectionMode(onOff);
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public String getName() {
        return commandName;
    }
}
