/*
 * File:     ShowMultitierViewerCommand.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.commands;

import mpi.eudico.client.annotator.ElanLayoutManager;


/**
 * Tells the ViewerManager which Multitier Viewer should be visible.
 *
 * @author Han Sloetjes
 */
public class ShowMultitierViewerCommand implements Command {
    private String commandName;

    /**
     * Creates a new ShowMultitierViewerCommand instance
     *
     * @param name DOCUMENT ME!
     */
    public ShowMultitierViewerCommand(String name) {
        commandName = name;
    }

    /**
     * DOCUMENT ME!
     *
     * @param receiver the ViewerManager
     * @param arguments the arguments:  <ul><li>arg[0] = the multitier viewer
     *        to set visible (String)</li> </ul>
     */
    public void execute(Object receiver, Object[] arguments) {
        String com = (String) arguments[0];

        if (com == ELANCommandFactory.SHOW_TIMELINE) {
            ((ElanLayoutManager) receiver).showTimeLineViewer();
        } else if (com == ELANCommandFactory.SHOW_INTERLINEAR) {
            ((ElanLayoutManager) receiver).showInterlinearViewer();
        }
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public String getName() {
        return commandName;
    }
}
