/*
 * File:     IMediaEventExImpl.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.client.annotator.nativemedia.quartztypelib.impl;

import com.jniwrapper.*;

import com.jniwrapper.win32.*;

import com.jniwrapper.win32.automation.*;

import com.jniwrapper.win32.automation.impl.*;

import com.jniwrapper.win32.automation.types.*;

import com.jniwrapper.win32.com.*;

import com.jniwrapper.win32.com.impl.*;

import com.jniwrapper.win32.com.types.*;

import mpi.eudico.client.annotator.nativemedia.quartztypelib.*;


/**
 * Represents COM interface IMediaEventEx
 */
public class IMediaEventExImpl extends IMediaEventImpl implements IMediaEventEx {
    /** Holds value of property DOCUMENT ME! */
    public static final String INTERFACE_IDENTIFIER = IMediaEventEx.INTERFACE_IDENTIFIER;

    /** Holds value of property DOCUMENT ME! */
    private static final IID _iid = IID.create(INTERFACE_IDENTIFIER);

    /**
     * Creates a new IMediaEventExImpl instance
     */
    public IMediaEventExImpl() {
    }

    /**
     * Creates a new IMediaEventExImpl instance
     *
     * @param that DOCUMENT ME!
     *
     * @throws ComException DOCUMENT ME!
     */
    protected IMediaEventExImpl(IUnknownImpl that) throws ComException {
        super(that);
    }

    /**
     * Creates a new IMediaEventExImpl instance
     *
     * @param that DOCUMENT ME!
     *
     * @throws ComException DOCUMENT ME!
     */
    public IMediaEventExImpl(IUnknown that) throws ComException {
        super(that);
    }

    /**
     * Creates a new IMediaEventExImpl instance
     *
     * @param clsid DOCUMENT ME!
     * @param dwClsContext DOCUMENT ME!
     *
     * @throws ComException DOCUMENT ME!
     */
    public IMediaEventExImpl(CLSID clsid, ClsCtx dwClsContext)
        throws ComException {
        super(clsid, dwClsContext);
    }

    /**
     * Creates a new IMediaEventExImpl instance
     *
     * @param clsid DOCUMENT ME!
     * @param pUnkOuter DOCUMENT ME!
     * @param dwClsContext DOCUMENT ME!
     *
     * @throws ComException DOCUMENT ME!
     */
    public IMediaEventExImpl(CLSID clsid, IUnknownImpl pUnkOuter,
        ClsCtx dwClsContext) throws ComException {
        super(clsid, pUnkOuter, dwClsContext);
    }

    /**
     * DOCUMENT ME!
     *
     * @param hwnd DOCUMENT ME!
     * @param lMsg DOCUMENT ME!
     * @param lInstanceData DOCUMENT ME!
     *
     * @throws ComException DOCUMENT ME!
     */
    public void setNotifyWindow(LongPtr /*[in]*/ hwnd, Int32 /*[in]*/ lMsg,
        LongPtr /*[in]*/ lInstanceData) throws ComException {
        invokeStandardVirtualMethod(13, Function.STDCALL_CALLING_CONVENTION,
            new Parameter[] { hwnd, lMsg, lInstanceData });
    }

    /**
     * DOCUMENT ME!
     *
     * @param lNoNotifyFlags DOCUMENT ME!
     *
     * @throws ComException DOCUMENT ME!
     */
    public void setNotifyFlags(Int32 /*[in]*/ lNoNotifyFlags)
        throws ComException {
        invokeStandardVirtualMethod(14, Function.STDCALL_CALLING_CONVENTION,
            new Parameter[] { lNoNotifyFlags });
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     *
     * @throws ComException DOCUMENT ME!
     */
    public Int32 getNotifyFlags() throws ComException {
        Int32 lplNoNotifyFlags = new Int32();
        invokeStandardVirtualMethod(15, Function.STDCALL_CALLING_CONVENTION,
            new Parameter[] {
                (lplNoNotifyFlags == null) ? (Parameter) PTR_NULL
                                           : new Pointer.OutOnly(
                    lplNoNotifyFlags)
            });

        return lplNoNotifyFlags;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public IID getIID() {
        return _iid;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Object clone() {
        IMediaEventExImpl that = null;

        try {
            that = new IMediaEventExImpl(this);
        } catch (ComException e) {
        }

        return that;
    }
}
