/*
 * File:     CHATEncoderInfo.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Created on Jan 26, 2005
 */
package mpi.eudico.server.corpora.clomimpl.chat;

import mpi.eudico.server.corpora.clom.EncoderInfo;


/**
 * CHAT specific EncoderInfo implementation
 *
 * @author hennie
 */
public class CHATEncoderInfo implements EncoderInfo {
    private String[][] mainTierInfo;
    private String[][] dependentTierInfo;

    /**
     * Creates a new CHATEncoderInfo instance
     *
     * @param mainTierInfo DOCUMENT ME!
     * @param dependentTierInfo DOCUMENT ME!
     */
    public CHATEncoderInfo(String[][] mainTierInfo, String[][] dependentTierInfo) {
        this.mainTierInfo = mainTierInfo;
        this.dependentTierInfo = dependentTierInfo;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public String[][] getMainTierInfo() {
        return mainTierInfo;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public String[][] getDependentTierInfo() {
        return dependentTierInfo;
    }
}
