/*
 * File:     ValuesNotListableException.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.eudico.server.corpora.util;


/**
 * ValuesNotListableException is thrown when a CodeType is not of a kind that
 * can list it's possible values. This is either when all text values are
 * legal (free text) or when values are restricted but not listable (for
 * example, syntactical trees).
 *
 * @author Hennie Brugman
 * @author Albert Russel
 * @version 29-Jun-1998
 */
public class ValuesNotListableException extends Exception {
}
