/*
 * File:     QueryManager.java
 * Project:  MPI Linguistic Application
 * Date:     31 October 2005
 *
 * Copyright (C) 2001-2005  Max Planck Institute for Psycholinguistics
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package mpi.search.content.query.model;

import java.util.ArrayList;
import java.util.List;


/**
 * Created on Jul 28, 2004
 * @author Alexander Klassmann
 * @version Jul 28, 2004
 */
public class QueryManager {
    /** Holds value of property DOCUMENT ME! */
    final private List queries = new ArrayList();
    private int currentQueryNr = 0;

    /**
     * DOCUMENT ME!
     *
     * @param query DOCUMENT ME!
     */
    public void addQuery(ContentQuery query) {
        queries.add(query);
        currentQueryNr = queries.size();
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public boolean hasQuery() {
        return queries.size() > 0;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public boolean hasPreviousQuery() {
        return currentQueryNr > 1;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public boolean hasNextQuery() {
        return currentQueryNr < queries.size();
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public ContentQuery getCurrentQuery() {
        return getQuery(currentQueryNr);
    }

    /**
     * DOCUMENT ME!
     *
     * @param nr DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public ContentQuery getQuery(int nr) {
        return (ContentQuery) (((0 < nr) && (nr <= queries.size()))
        ? queries.get(nr - 1) : null);
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public int getCurrentQueryNumber() {
        return currentQueryNr;
    }

    /**
     * DOCUMENT ME!
     *
     * @param i DOCUMENT ME!
     */
    public void setCurrentQueryNumber(int i) {
        currentQueryNr = i;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public int size() {
        return queries.size();
    }
}
